import React, { createContext, useContext, useState } from "react";
const initialState = {
  busAndTrainData: [],
  setBusAndTrainData: () => {},
  trainPairData: [],
  setTrainPairData: () => {},
};

const BusAndTrainDataContext = createContext(initialState);

export const useBusAndTrainData = () => {
  return useContext(BusAndTrainDataContext);
};

export const BusAndTrainDataProvider = ({ children }) => {
  const [busAndTrainData, setBusAndTrainData] = useState([]);
  const [trainPairData, setTrainPairData] = useState([]);

  return (
    <BusAndTrainDataContext.Provider
      value={{
        busAndTrainData,
        setBusAndTrainData,
        trainPairData,
        setTrainPairData,
      }}
    >
      {children}
    </BusAndTrainDataContext.Provider>
  );
};
